return {
    shiftmode_keys = {["Shift"] = true},
    symbolmode_keys = {["記号"] = true, ["かな"] = true},
    utf8mode_keys = {["゛"] = true},
    umlautmode_keys = {["゜"] = true},
    keys = {
        -- first row
        {  --  1           2       3       4       5        6       7       8       9        10      11      12
            { "ア",        "あ",    "~",    "`",    "ア",    "あ",    "~",    "`",    "ア",    "あ",    "~",    "`", },
            { "カ",        "か",    "!",    "1",    "ガ",    "が",    "!",    "1",    "カ",    "か",    "!",    "1", },
            { "サ",        "さ",    "@",    "2",    "ザ",    "ざ",    "@",    "2",    "サ",    "さ",    "@",    "2", },
            { "タ",        "た",    "#",    "3",    "ダ",    "だ",    "#",    "3",    "タ",    "た",    "#",    "3", },
            { "ナ",        "な",    "$",    "4",    "ナ",    "な",    "$",    "4",    "ナ",    "な",    "$",    "4", },
            { "ハ",        "は",    "%",    "5",    "バ",    "ば",    "%",    "5",    "パ",    "ぱ",    "%",    "5", },
            { "マ",        "ま",    "^",    "6",    "マ",    "ま",     "^",    "6",    "マ",    "ま",    "^",    "6", },
            { "ヤ",        "や",    "&",    "7",   "ヤ",     "や",    "&",    "7",    "ヤ",    "や",    "&",    "7", },
            { "ラ",        "ら",    "*",    "8",    "ラ",     "ら",    "*",    "8",    "ラ",    "ら",    "*",    "8", },
            { "ワ",        "わ",    "(",    "9",    "ワ",     "わ",    "(",    "9",    "ワ",    "わ",    "(",    "9", },
            { "ァ",        "ぁ",    ")",    "0",    "ァ",     "ぁ",    ")",    "0",    "ァ",    "ぁ",    ")",    "0", },
            { "ャ",        "ゃ",    "_",    "-",    "ャ",     "ゃ",    "_",    "-",    "ャ",    "ゃ",    "_",    "-", },
            { "゛",         "゛",     "+",    "=",    "゛",      "゛",     "+",    "=",    "゛",     "゛",     "+",    "=", },
        },
        -- second row
        {  --  1           2       3       4       5       6        7       8       9       10      11      12
            { "イ",        "い",    "Q",    "q",    "イ",    "い",    "Q",    "q",    "イ",    "い",    "Q",    "q", },
            { "キ",        "き",    "W",    "w",    "ギ",    "ぎ",    "W",    "w",    "キ",    "き",    "W",    "w", },
            { "シ",        "し",    "E",    "e",    "ジ",    "じ",    "E",    "e",    "シ",    "し",    "E",    "e", },
            { "チ",        "ち",    "R",    "r",    "ヂ",    "ぢ",    "R",    "r",    "チ",    "ち",    "R",    "r", },
            { "ニ",        "に",    "T",    "t",    "ニ",    "に",    "T",    "t",    "ニ",    "に",    "T",    "t", },
            { "ヒ",        "ひ",    "Y",    "y",    "ビ",    "び",    "Y",    "y",    "ピ",    "ぴ",    "Y",    "y", },
            { "ミ",        "み",    "U",    "u",    "ミ",    "み",    "U",    "u",    "ミ",    "み",    "U",    "u", },
            { "　",        "　",    "I",    "i",   "　",    "　",    "I",    "i",    "　",    "　",    "I",    "i", },
            { "リ",        "り",    "O",    "o",    "リ",    "り",     "O",    "o",    "リ",    "り",    "O",    "o", },
            { "　",        "　",    "P",    "p",   "　",    "　",    "P",    "p",    "　",    "　",    "P",    "p", },
            { "ィ",        "ぃ",    "{",    "[",    "ィ",     "ぃ",    "{",    "[",    "ィ",    "ぃ",    "{",    "[", },
            { "ュ",        "ゅ",    "}",    "]",    "ュ",    "ゅ",    "}",     "]",    "ュ",    "ゅ",    "}",    "]", },
            { "゜",         "゜",     "|",    "\\",    "゜",     "゜",     "|",    "\\",    "゜",    "゜",    "|",    "\\", },
        },
        -- third row
        {  --  1           2       3       4       5       6         7       8       9       10      11      12
            { "ウ",        "う",    "A",    "a",    "ヴ",    "ゔ",     "A",    "a",    "ウ",    "う",    "A",    "a", },
            { "ク",        "く",    "S",    "s",    "グ",    "ぐ",     "S",    "s",    "ク",    "く",     "S",    "s", },
            { "ス",        "す",    "D",    "d",    "ズ",    "ず",    "D",    "d",    "ス",    "す",    "D",    "d", },
            { "ツ",        "つ",    "F",    "f",    "ヅ",    "づ",    "F",    "f",    "ツ",    "つ",    "F",    "f", },
            { "ヌ",        "ぬ",    "G",    "g",    "ヌ",    "ぬ",    "G",    "g",    "ヌ",    "ぬ",    "G",    "g", },
            { "フ",        "ふ",    "H",    "h",    "ブ",    "ぶ",    "H",    "h",    "プ",    "ぷ",    "H",    "h", },
            { "ム",        "む",    "J",    "j",    "ム",    "む",    "J",    "j",    "ム",    "む",    "J",    "j", },
            { "ユ",        "ゆ",    "K",    "k",    "ユ",    "ゆ",    "K",    "k",    "ユ",    "ゆ",    "K",    "k", },
            { "ル",        "る",    "L",    "l",    "ル",    "る",    "L",    "l",    "ル",    "る",    "L",    "l", },
            { "ヲ",        "を",    ":",    ";",    "ヲ",    "を",    ":",    ";",    "ヲ",     "を",    ":",    ";", },
            { "ゥ",        "ぅ",    "\"",    "'",    "ゥ",    "ぅ",    "\"",    "'",    "ゥ",    "ぅ",    "\"",    "'", },
            { "ョ",        "ょ",    "『",    "「",     "ョ",    "ょ",    "『",    "「",    "ョ",     "ょ",    "『",    "「", },
            { "ー",        "ー",    "』",    "」",    "ー",    "ー",    "』",    "」",    "ー",    "ー",    "』",    "」", },
        },
        -- fourth row
        {  --  1           2       3       4       5       6       7       8       9       10      11      12
            { "エ",        "え",    "Z",    "z",    "エ",    "え",    "Z",    "z",    "エ",    "え",    "Z",    "z", },
            { "ケ",        "け",    "X",    "x",    "ゲ",    "げ",    "X",    "x",    "ケ",    "け",    "X",    "x", },
            { "セ",        "せ",    "C",    "c",    "ゼ",    "ぜ",    "C",    "c",    "セ",    "せ",    "C",    "c", },
            { "テ",        "て",    "V",    "v",    "デ",    "で",    "V",    "v",    "テ",    "て",    "V",    "v", },
            { "ネ",        "ね",    "B",    "b",    "ネ",    "ね",    "B",    "b",    "ネ",    "ね",    "B",    "b", },
            { "ヘ",        "へ",    "N",    "n",    "ベ",    "べ",    "N",    "n",    "ペ",    "ぺ",    "N",    "n", },
            { "メ",        "め",    "M",    "m",    "メ",     "め",    "M",    "m",    "メ",    "め",    "M",    "m", },
            { "　",        "　",    "<",    ",",    "　",    "　",    "<",    ",",    "　",    "　",    "<",    ",", },
            { "レ",        "れ",    ">",    ".",    "レ",     "れ",    ">",    ".",    "レ",    "れ",    ">",    ".", },
            { "　",        "　",    "?",    "/",    "　",    "　",    "?",    "/",    "　",    "　",    "?",    "/", },
            { "ェ",        "ぇ",    "～",    "・",    "ェ",     "ぇ",    "～",    "・",    "ェ",    "ぇ",    "～",    "・", },
            { "ッ",        "っ",    "…",    "、",     "ッ",    "っ",    "…",    "、",    "ッ",    "っ",    "…",    "、", },
            { "、",        "、",    "￥",     "。",    "、",     "、",    "￥",    "。",    "、",     "、",    "￥",    "。", },
        },
        -- fifth row
        {  --  1           2       3       4       5       6       7       8       9       10      11      12
            { "オ",        "お",    "Á",    "á",    "オ",    "お",    "Á",    "á",    "オ",    "お",    "Á",    "á", },
            { "コ",        "こ",    "É",    "é",    "ゴ",    "ご",    "É",    "é",    "コ",    "こ",    "É",    "é", },
            { "ソ",        "そ",    "Í",    "í",    "ゾ",    "ぞ",    "Í",    "í",    "ソ",    "そ",    "Í",    "í", },
            { "ト",        "と",    "Ó",    "ó",    "ド",    "ど",    "Ó",    "ó",    "ト",    "と",    "Ó",    "ó", },
            { "ノ",        "の",    "Ú",    "ú",    "ノ",    "の",    "Ú",    "ú",    "ノ",    "の",    "Ú",    "ú", },
            { "ホ",        "ほ",    "Ñ",    "ñ",    "ボ",    "ぼ",    "Ñ",    "ñ",    "ホ",    "ほ",    "Ñ",    "ñ", },
            { "モ",        "も",    "Ü",    "ü",    "モ",    "も",    "Ü",    "ü",    "モ",    "も",    "Ü",    "ü", },
            { "ヨ",        "よ",    "¿",    "ç",    "ヨ",    "よ",    "¿",    "ç",    "ヨ",    "よ",    "¿",    "ç", },
            { "ロ",        "ろ",    "¡",    "ß",    "ロ",    "ろ",    "¡",    "ß",    "ロ",    "ろ",    "¡",    "ß", },
            { "ン",        "ん",    "Æ",    "æ",    "ン",    "ん",    "Æ",    "æ",    "ン",    "ん",    "Æ",    "æ", },
            { "ォ",        "ぉ",    "€",    "£",    "ォ",     "ぉ",    "€",    "£",    "ォ",    "ぉ",    "€",    "£", },
            { "　",        "　",    "«",    "【",    "　",    "　",    "«",    "”",    "　",    "　",    "«",    "【", },
            { "。",         "。",    "»",    "】",     "。",     "。",    "’",    "”",    "。",     "。",    "»",    "】", },
        },
        -- sixth row
        {
            { label = "Shift",
              icon = "resources/icons/appbar.arrow.shift.png",
              width = 1.5
            },
            { "記号",     "記号",  "かな",  "かな",  "記号",  "記号",  "かな",  "かな",  "記号",  "記号",  "かな",  "かな",
              width = 1.5},
            { label = "空白",
              " ",        " ",    " ",    " ",    " ",    " ",    " ",    " ",    " ",    " ",    " ",    " ",
              width = 7.0},
            { label = "Enter",
              "\n",       "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",
              icon = "resources/icons/appbar.arrow.enter.png",
              width = 1.5,
            },
            { label = "Backspace",
              icon = "resources/icons/appbar.clear.reflect.horizontal.png",
              width = 1.5
            },
        },
    },
}
