return {
    shiftmode_keys = {["Shift"] = true},
    symbolmode_keys = {["Sym"] = true, ["ABC"] = true},
    utf8mode_keys = {["IM"] = true},
    umlautmode_keys = {["Äéß"] = true},
    keys = {
        -- first row
        {  --  1           2       3       4       5       6       7       8       9       10      11      12
            { "Q",        "q",    "!",    "1",    "Я",    "я",    "1",    "!",    "Ä",    "ä",    "1",    "ª", },
            { "W",        "w",    "?",    "2",    "Ж",    "ж",    "2",    "?",    "Ö",    "ö",    "2",    "º", },
            { "E",        "e",    "|",    "3",    "Е",    "е",    "3",    "«",    "Ü",    "ü",    "3",    "¡", },
            { "R",        "r",    "#",    "4",    "Р",    "р",    "4",    "»",    "ß",    "ß",    "4",    "¿", },
            { "T",        "t",    "@",    "5",    "Т",    "т",    "5",    ":",    "À",    "à",    "5",    "¼", },
            { "Y",        "y",    "‰",    "6",    "Ы",    "ы",    "6",    ";",    "Â",    "â",    "6",    "½", },
            { "U",        "u",    "'",    "7",    "У",    "у",    "7",    "~",    "Æ",    "æ",    "7",    "¾", },
            { "I",        "i",    "`",    "8",    "И",    "и",    "8",    "(",    "Ç",    "ç",    "8",    "©", },
            { "O",        "o",    ":",    "9",    "О",    "о",    "9",    ")",    "È",    "è",    "9",    "®", },
            { "P",        "p",    ";",    "0",    "П",    "п",    "0",    "=",    "É",    "é",    "0",    "™", },
        },
        -- second row
        {  --  1           2       3       4       5       6       7       8       9       10      11      12
            { "A",        "a",    "…",    "+",    "А",    "а",    "Ш",    "ш",    "Ê",    "ê",    "Ş",    "ş", },
            { "S",        "s",    "_",    "-",    "С",    "с",    "Ѕ",    "ѕ",    "Ë",    "ë",    "İ",    "ı", },
            { "D",        "d",    "=",    "*",    "Д",    "д",    "Э",    "э",    "Î",    "î",    "Ğ",    "ğ", },
            { "F",        "f",    "\\",   "/",    "Ф",    "ф",    "Ю",    "ю",    "Ï",    "ï",    "Ć",    "ć", },
            { "G",        "g",    "„",    "%",    "Г",    "г",    "Ґ",    "ґ",    "Ô",    "ô",    "Č",    "č", },
            { "H",        "h",    "“",    "^",    "Ч",    "ч",    "Ј",    "ј",    "Œ",    "œ",    "Đ",    "đ", },
            { "J",        "j",    "”",    "<",    "Й",    "й",    "І",    "і",    "Ù",    "ù",    "Š",    "š", },
            { "K",        "k",    "\"",   "=",    "К",    "к",    "Ќ",    "ќ",    "Û",    "û",    "Ž",    "ž", },
            { "L",        "l",    "~",    ">",    "Л",    "л",    "Љ",    "љ",    "Ÿ",    "ÿ",    "Ő",    "ő", },
        },
        -- third row
        {  --  1           2       3       4       5       6       7       8       9       10      11      12
            { label = "Shift",
              icon = "resources/icons/appbar.arrow.shift.png",
              width = 1.5
            },
            { "Z",        "z",    "$",    "(",    "З",    "з",    "Щ",    "щ",    "Á",    "á",    "Ű",    "ű", },
            { "X",        "x",    "€",    ")",    "Х",    "х",    "№",    "@",    "É",    "é",    "Ø",    "ø", },
            { "C",        "c",    "¥",    "{",    "Ц",    "ц",    "Џ",    "џ",    "Í",    "í",    "Þ",    "þ", },
            { "V",        "v",    "£",    "}",    "В",    "в",    "Ў",    "ў",    "Ñ",    "ñ",    "Ý",    "ý", },
            { "B",        "b",    "‚",    "&",    "Б",    "б",    "Ћ",    "ћ",    "Ó",    "ó",    "†",    "‡", },
            { "N",        "n",    "‘",    "↑",    "Н",    "н",    "Њ",    "њ",    "Ú",    "ú",    "–",    "—", },
            { "M",        "m",    "’",    "↓",    "М",    "м",    "Ї",    "ї",    "Ç",    "ç",    "…",    "¨", },
            { label = "Backspace",
              icon = "resources/icons/appbar.clear.reflect.horizontal.png",
              width = 1.5
            },
        },
        -- fourth row
        {
            { "Sym",    "Sym",   "ABC",  "ABC",  "Sym",  "Sym",  "ABC",  "ABC",  "Sym",  "Sym",  "ABC",  "ABC",
              width = 1.5},
            { label = "IM",
              icon = "resources/icons/appbar.globe.wire.png",
            },
            { "Äéß",     "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß", },
            { label = "space",
              " ",        " ",    " ",    " ",    " ",    " ",    " ",    " ",    " ",    " ",    " ",    " ",
                width = 3.0},
            { ",",        ",",    "[",    "←",    ",",    ",",    "є",    "є",    ",",    ",",    ",",    ",", },
            { ",",        ".",    "]",    "→",    ",",    ".",    "Є",    "Є",    ",",    ".",    ",",    ".", },
            { label = "Enter",
              "\n",       "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",
              icon = "resources/icons/appbar.arrow.enter.png",
              width = 1.5,
            },
        },
    },
}

